﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml.Serialization;

namespace CashCalc.Base
{
    /// <summary>
    /// Xml representation of the account.
    /// </summary>
    [Serializable]
    [XmlRoot("Account")]
    public sealed class XmlAccount
    {
        /// <summary>
        /// Default constructor of the XmlAccount class (due to the XML serialization).
        /// </summary>
        public XmlAccount()
        {

        }

        /// <summary>
        /// Constructor of the XmlAccount class.
        /// </summary>
        /// <param name="account">Account to be serialized/deserialized.</param>
        public XmlAccount(Account account)
        {
            this.Account = account;
        }

        /// <summary>
        /// Account.
        /// </summary>
        [XmlElement(Type = typeof(CheckBoxAccount)),
        XmlElement(Type = typeof(CompositeAccount)),
        XmlElement(Type = typeof(ConstantAccount)),
        XmlElement(Type = typeof(ContinuousMonthAccount)),
        XmlElement(Type = typeof(EveryNthDayAccount)),
        XmlElement(Type = typeof(EveryNthMonthAccount)),
        XmlElement(Type = typeof(WeekAccount))]
        public Account Account { get; set; }
    }
}
