﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CashCalc.Base;

namespace CashCalc.Dialogs
{
    /// <summary>
    /// Form for specifying any kind of account.
    /// </summary>
    public partial class AccountForm : Form
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public AccountForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Title of the account.
        /// </summary>
        public string Title
        {
            get { return this.accountUserControl.Title; }
            set { this.accountUserControl.Title = value; }
        }

        /// <summary>
        /// Account specified by this form.
        /// </summary>
        public Account Account
        {
            get { return this.accountUserControl.Account; }
            set { this.accountUserControl.Account = value; }
        }

        private void AccountForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (this.DialogResult == DialogResult.OK && String.IsNullOrEmpty(this.Title))
            {
                MessageBox.Show("The title cannot be empty.", "Warning");
                e.Cancel = true;
            }
        }
    }
}
