﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CashCalc.Dialogs
{
    /// <summary>
    /// Form for entering the title of the account or the account folder.
    /// </summary>
    public partial class TitleForm : Form
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public TitleForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Title of the account or the account folder.
        /// </summary>
        public string Title
        {
            get { return this.titleTextBox.Text.Trim(); }
            set { this.titleTextBox.Text = value.Trim(); }
        }

        private void TitleForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (this.DialogResult == DialogResult.OK && String.IsNullOrEmpty(this.Title))
            {
                MessageBox.Show("The title cannot be empty.", "Warning");
                e.Cancel = true;
            }
        }
    }
}
