﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CashCalc.Base;
using CashCalc.Dialogs;

namespace CashCalc.UserControls
{
    /// <summary>
    /// User control for specifying the constant account.
    /// </summary>
    public partial class ConstantAccountUserControl : UserControl
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public ConstantAccountUserControl()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Constant account.
        /// </summary>
        public ConstantAccount Account
        {
            get
            {
                return new ConstantAccount(
                    this.startDateTimePicker.Value.Date,
                    this.balanceNumericUpDown.Value,
                    (double)this.deviationNumericUpDown.Value);
            }
            set
            {
                this.startDateTimePicker.Value = value.StartDate.Date;
                this.balanceNumericUpDown.Value = value.Amount.Amount;
                this.deviationNumericUpDown.Value = (decimal)value.Amount.AmountDeviation;
            }
        }

        private void getMeanButton_Click(object sender, EventArgs e)
        {
            GetMeanForm getMeanForm = new GetMeanForm();
            if (getMeanForm.ShowDialog() == DialogResult.OK)
            {
                this.balanceNumericUpDown.Value = (decimal)getMeanForm.Mean;
            }
        }

        private void getStdDevButton_Click(object sender, EventArgs e)
        {
            GetStdDevForm getStdDevForm = new GetStdDevForm();
            if (getStdDevForm.ShowDialog() == DialogResult.OK)
            {
                this.deviationNumericUpDown.Value = (decimal)getStdDevForm.StdDev;
            }
        }
    }
}
