﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CashCalc.Base;

namespace CashCalc.UserControls
{
    /// <summary>
    /// User control for specifying account whose balance changes every month by a constant amount.
    /// </summary>
    public partial class EveryNthMonthAccountUserControl : UserControl
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public EveryNthMonthAccountUserControl()
        {
            InitializeComponent();
            this.enumerableAccountUserControl.ValidDates = (() => this.Account.Dates);
        }

        /// <summary>
        /// Account whose balance changes every month by a constant amount.
        /// </summary>
        public EveryNthMonthAccount Account
        {
            get
            {
                return new EveryNthMonthAccount(
                    this.enumerableAccountUserControl.StartDate,
                    this.enumerableAccountUserControl.EndDate,
                    this.enumerableAccountUserControl.Amount,
                    this.enumerableAccountUserControl.AmountDeviation,
                     (int)this.stepNumericUpDown.Value,
                    this.enumerableAccountUserControl.Exceptions);
            }
            set
            {
                this.enumerableAccountUserControl.Account = value;
                this.stepNumericUpDown.Value = value.Step;
            }
        }

        private void stepNumericUpDown_ValueChanged(object sender, EventArgs e)
        {
            this.enumerableAccountUserControl.UpdateExceptionListView();
        }
    }
}
